%global momorel 2

Summary: GNOME keyring library
Name: libgnome-keyring
Version: 2.30.1
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPL
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.30/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: glib2-devel
BuildRequires: dbus-devel
BuildRequires: eggdbus-devel

%description
gnome-keyring is a program that keep password and other secrets for
users. The library libgnome-keyring is used by applications to
integrate with the gnome keyring system.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure \
    --enable-silent-rules \
    --disable-static \
    --enable-gtk-doc
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README
%{_libdir}/libgnome-keyring.so.*
%exclude %{_libdir}/*.la
%{_datadir}/locale/*/*/*

%files devel
%defattr(-, root, root)
%{_includedir}/gnome-keyring-1
%{_libdir}/libgnome-keyring.so
%{_libdir}/pkgconfig/gnome-keyring-1.pc
%{_datadir}/gtk-doc/html/gnome-keyring

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.1-2m)
- full rebuild for mo7 release

* Thu Apr 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-1m)
- update to 2.30.1

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0

* Fri Jan 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.4-2m)
- fix scripts

* Fri Jan 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.4-1m)
- initial build
